Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.beasys.commerce.ebusiness.catalog.webservice
Class CatalogWSImpl

    java.lang.Object
      |
      +--com.beasys.commerce.foundation.SessionImpl
            |
            +--com.beasys.commerce.ebusiness.catalog.webservice.CatalogWSImpl

public class CatalogWSImpl
extends SessionImpl

See Also:
  Serialized Form

Fields inherited from class com.beasys.commerce.foundation.SessionImpl
`_ctx, _environmentNamingContext, _environmentPropertyCache, _isDirty`

Constructor Summary
`CatalogWSImpl()`

Method Summary
`void` | `ejbActivate()`
`void` | `ejbCreate()`
`void` | `ejbPassivate()`
`void` | `ejbPostCreate()`
`void` | `ejbRemove()`
`java.lang.String` | `expressionSearch(java.lang.String expression)` Returns product item information populated with category and ancestor information for a search expression for the first 100 results.
`java.lang.String` | `expressionSearchRestricted(java.lang.String expression, int numResults)` Returns product item information populated with category and ancestor information for a search expression for the first `numResults` results.
`java.lang.String` | `expressionSearchSKU(java.lang.String expression)` Returns product item information populated with category and ancestor information for a SKU search expression.
`java.lang.String` | `expressionSearchSKURestricted(java.lang.String expression, int numResults)` Returns product item information populated with category and ancestor information for a SKU search expression for the first `numResults` results.
`java.lang.String` | `getAllChildren(java.lang.String categoryKey, boolean addAncestorInfo)` Returns an XML document of the first 100 categories and 100 product items under a given category.
`java.lang.String` | `getAllChildrenRestricted(java.lang.String categoryKey, boolean addAncestorInfo, int numResults)` Returns an XML document of all the categories and product items under a given category.
`java.lang.String` | `getCategoryInfo(java.lang.String productItemKey)` Returns ancestor information for all the categories a product item resides in.
`java.lang.String` | `getRootChildren()` Returns an XML document of the first 100 categories and 100 product items under the root category.
`java.lang.String` | `getRootChildrenRestricted(int numResults)` Returns an XML document of all the categories and product items under the root category.
`java.lang.String` | `keywordSearch(java.lang.String keyword)` Returns product item information populated with category and ancestor information for a set of keywords for the first 100 results.
`java.lang.String` | `keywordSearchRestricted(java.lang.String keywords, int numResults)` Returns product item information populated with category and ancestor information for a set of keywords for the first `numResults` results.
`void` | `setSessionContext(javax.ejb.SessionContext ctx)`

Methods inherited from class com.beasys.commerce.foundation.SessionImpl
`clearRelationalBinding, clearRelationalBinding, clearRelationalBinding, clearRelationalBinding, doRelationalBinding, doRelationalBinding, doRelationalBindingOnElement, doRelationalBindingOnElement, doRelationalBindingOnElement, doRelationalBindingOnSingleton, doRelationalBindingOnSingleton, doRelationalBindingOnSingleton, doRelationalBindingWithMapKey, doRelationalBindingWithMapKey, doRelationalBindingWithMapKey, enumerateRelationalBinding, enumerateRelationalBinding, getEnvironmentNamingContext, getEnvironmentProperty, getEnvironmentProperty, getEnvironmentPropertyCache, getPersistenceHelperPlugin, getSessionContext`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CatalogWSImpl

    public CatalogWSImpl()

Method Detail

### ejbCreate

    public void ejbCreate()
                   throws javax.ejb.CreateException

  Overrides:
    ejbCreate in class SessionImpl

### ejbPostCreate

    public void ejbPostCreate()
                       throws javax.ejb.CreateException

  Overrides:
    ejbPostCreate in class SessionImpl

### ejbActivate

    public void ejbActivate()
                     throws javax.ejb.EJBException

  Overrides:
    ejbActivate in class SessionImpl

### ejbPassivate

    public void ejbPassivate()
                      throws javax.ejb.EJBException

  Overrides:
    ejbPassivate in class SessionImpl

### ejbRemove

    public void ejbRemove()
                   throws javax.ejb.EJBException

  Overrides:
    ejbRemove in class SessionImpl

### setSessionContext

    public void setSessionContext(javax.ejb.SessionContext ctx)
                           throws javax.ejb.EJBException

  Overrides:
    setSessionContext in class SessionImpl

### getRootChildren

    public java.lang.String getRootChildren()
                                     throws java.rmi.RemoteException

  Returns an XML document of the first 100 categories and 100 product items under the root category.

  Returns:
    XML Document of categories and product items under categoryKey.

### getRootChildrenRestricted

    public java.lang.String getRootChildrenRestricted(int numResults)
                                               throws java.rmi.RemoteException

  Returns an XML document of all the categories and product items under the root category. Restricts the number of results to the first `numResults` categories and product items .

  Parameters:
    `numResults` - number of results to be returned.
  Returns:
    XML Document of categories and product items under categoryKey.

### getAllChildren

    public java.lang.String getAllChildren(java.lang.String categoryKey,
                                           boolean addAncestorInfo)
                                    throws java.rmi.RemoteException

  Returns an XML document of the first 100 categories and 100 product items under a given category. The category is identified by a string category key.

  Parameters:
    `categoryKey` - String representation of category key concerned.
    `addAncestorInfo` - if true adds ancestor info to the category children.
  Returns:
    XML Document of categories and product items under categoryKey.

### getAllChildrenRestricted

    public java.lang.String getAllChildrenRestricted(java.lang.String categoryKey,
                                                     boolean addAncestorInfo,
                                                     int numResults)
                                              throws java.rmi.RemoteException

  Returns an XML document of all the categories and product items under a given category. The category is identified by a string category key. This call restricts the number of results to a specified number of categories and product items.

  Parameters:
    `categoryKey` - String representation of category key concerned.
    `addAncestorInfo` - if true adds ancestor info to the category children.
    `numResults` - number of results to be returned
  Returns:
    XML Document of categories and product items under categoryKey.

### getCategoryInfo

    public java.lang.String getCategoryInfo(java.lang.String productItemKey)
                                     throws java.rmi.RemoteException

  Returns ancestor information for all the categories a product item resides in.

  Parameters:
    `productItemKey` - String representation of product item key concerned.
  Returns:
    XML Document of category information.

### keywordSearch

    public java.lang.String keywordSearch(java.lang.String keyword)
                                   throws java.rmi.RemoteException

  Returns product item information populated with category and ancestor information for a set of keywords for the first 100 results.

  Parameters:
    `keyword` - Search keyword(s).
  Returns:
    XML Document of all information.

### keywordSearchRestricted

    public java.lang.String keywordSearchRestricted(java.lang.String keywords,
                                                    int numResults)
                                             throws java.rmi.RemoteException

  Returns product item information populated with category and ancestor information for a set of keywords for the first `numResults` results.

  Parameters:
    `keyword` - Search keyword(s).
    `numResults` - number of results to be returned.
  Returns:
    XML Document of all information.

### expressionSearch

    public java.lang.String expressionSearch(java.lang.String expression)
                                      throws java.rmi.RemoteException

  Returns product item information populated with category and ancestor information for a search expression for the first 100 results.

  Parameters:
    `expression` - Search expression.
  Returns:
    XML string of all information.

### expressionSearchRestricted

    public java.lang.String expressionSearchRestricted(java.lang.String expression,
                                                       int numResults)
                                                throws java.rmi.RemoteException

  Returns product item information populated with category and ancestor information for a search expression for the first `numResults` results.

  Parameters:
    `expression` - Search expression.
    `numResults` - number of results to be returned.
  Returns:
    XML string of all information.

### expressionSearchSKU

    public java.lang.String expressionSearchSKU(java.lang.String expression)
                                         throws java.rmi.RemoteException

  Returns product item information populated with category and ancestor information for a SKU search expression.

  Parameters:
    `expression` - SKU Search expression.
  Returns:
    XML string of all information.

### expressionSearchSKURestricted

    public java.lang.String expressionSearchSKURestricted(java.lang.String expression,
                                                          int numResults)
                                                   throws java.rmi.RemoteException

  Returns product item information populated with category and ancestor information for a SKU search expression for the first `numResults` results.

  Parameters:
    `expression` - SKU Search expression.
    `numResults` - number of results to be returned.
  Returns:
    XML string of all information.

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 BEA Systems, Inc. All Rights Reserved